<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id: manage_placeholder.php 109 2006-08-11 22:11:38Z balu $ */

// pre_modded for mod_text by M. Rsel www.conpresso4.de

define('CPO', true);
require_once('../_include/checkaccess.inc.php');

require(CPO_BASEDIR.'_include/var_category.php'); // FIXME needed?
require(CPO_BASEDIR.'_include/check.php');
require(CPO_BASEDIR.'_include/header.php');

// fetch placeholder to list its settings
$q = "SELECT id, templates_id, ttype, fieldname, pos, ddata FROM ".CPO_PLACEHOLDERS." "
    ."WHERE id='".addslashes($_GET['pholder'])."' ";
DEBUG(1, $q, __FILE__, __LINE__);
$dbq = new DB;
$dbq->query($q);
$dbq->next_record();
$placeholder = unserialize($dbq->v('ddata'));
if (!is_array($placeholder)) $placeholder = array();
$placeholder['name']  = $dbq->v('fieldname');
$placeholder['type']  = $typeNames[$dbq->v('ttype')];
$placeholder['pos']   = $dbq->v('pos');
$placeholder['id']    = $dbq->v('id');
$placeholder['templates_id'] = $dbq->v('templates_id');

printPageHeader(
    __('Work on placeholder settings'),
    sprintf(__('In this view you edit the settings of the placeholder %s.'), '<em>'.htmlspecialchars($placeholder['name']).'</em>'),
    'templates-workonarticletemplates.html#templates-workonarticletemplates-editplaceholder-settings'
);

print('<form action="'.BASE_REL.'_admin/manage_placeholders.php" method="POST">');
print('<table class="colored" style="width: 100%;">');
print('<input name="id" type="hidden" value="'.htmlspecialchars($placeholder['id']).'"></td></tr>');
print('<input name="template" type="hidden" value="'.htmlspecialchars($placeholder['templates_id']).'"></td></tr>');
print('<input name="action" type="hidden" value="update"></td></tr>');

print('<thead><tr><th colspan="2"><span>'.___('Placeholder properties').'</span></th></tr></thead>');
print('<tbody>');

print('<tr><td class="leftrow">'.__('Name:').'</td><td class="rightrow">');
print(htmlspecialchars($placeholder['name']).help('templates-workonarticletemplates.html#templates-workonarticletemplates-editplaceholder-settings-name').'</td></tr>');

print('<tr><td>'.___('Type:').'</td><td>');
print(htmlspecialchars($placeholder['type']).help('templates-workonarticletemplates.html#templates-workonarticletemplates-editplaceholder-settings-type').'</td></tr>');

print('<tr><td>'.__('Description:').'</td><td>');
print('<input name="placeholder[label]" type="text" value="'.htmlspecialchars($placeholder['label']).'" class="inputwidth">'.help('templates-workonarticletemplates.html#templates-workonarticletemplates-editplaceholder-settings-description').'</td></tr>');

print('<tr><td>'.__('Don\'t query:').'</td><td>');
print('<input name="placeholder[noquery]" class="checkbox" type="checkbox" value="1" '.($placeholder['noquery']=='1' ? 'checked' : '').'>');
print(help('templates-workonarticletemplates.html#templates-workonarticletemplates-editplaceholder-settings-dontask').'</td></tr>');

switch ($placeholder['type']) {
case 'text': 
	// {{{ mod_text
	if ($placeholder['formtype']=='short') $placeholder['short']=1; 
	if (array_key_exists('mod_text',$activeModules)) { include(CPO_BASEDIR.$activeModules['mod_text']['directory'].'/includes/manage_placeholder.inc.php'); break; } 
	// }}}
    print('<tr><td>'.___('Short text:').'</td><td>');
    print('<input name="placeholder[short]" class="checkbox" type="checkbox" value="1" '.($placeholder['short']=='1' ? 'checked' : '').'>');
    print(help('templates-workonarticletemplates.html#templates-workonarticletemplates-editplaceholder-settings-shorttext').'</td></tr>');
    break;
// file_filter {{{ 
case 'file': 
case 'image': 
    if (array_key_exists('mod_text',$activeModules)) { 
        print('<tr><td>'.__('Related to:').'</td><td>'); 
        print('<input name="placeholder[relation]" type="text" value="'.htmlspecialchars($placeholder['relation']).'"> ');
        print('&nbsp; &nbsp;'.__('Pattern:').' '); 
        print('<input name="placeholder[pattern]" type="text" value="'.htmlspecialchars($placeholder['pattern']).'"></td></tr>');
    }
    break; 
// }}} 
case 'url': 
    print('<tr><td>'.__('Link type:').'</td><td>');
    print('<select class="select" name="placeholder[linktype]" size="1">');
        print('<option value="0" '.($placeholder['linktype']=='0' ? 'selected' : '').'>'.__('URL can be entered').'</option>');
        print('<option value="1" '.($placeholder['linktype']=='1' ? 'selected' : '').'>'.__('URL to article page').'</option>');
        print('<option value="3" '.($placeholder['linktype']=='3' ? 'selected' : '').'>'.__('URL to rubric page').'</option>');
        print('<option value="2" '.($placeholder['linktype']=='2' ? 'selected' : '').'>'.__('URL that goes back (Javascript)').'</option>');
    print('</select>');
    print(help('templates-workonarticletemplates.html#templates-workonarticletemplates-editplaceholder-settings-urltype').'</td></tr>');
    break;
}

// {{{ mod_text
if (array_key_exists('mod_text',$activeModules)) include(CPO_BASEDIR.$activeModules['mod_text']['directory'].'/includes/checkhidden.inc.php');
// }}}

print('<tr><td>&nbsp;</td><td>');
print('<input name="submit" class="button" type="submit" value="'.__('save').'"></td></tr>');

print('</tbody></table>');
print('</form>');

require(CPO_BASEDIR.'_include/footer.php');
?>
